WordPress.org

Plugin Directory

Recent Posts Widget With Thumbnails

Small and fast plugin to display in the sidebar a list of linked titles and thumbnails of the most recent postings

The plugin is available in English, German (Deutsch), Persian (Farsi) and Arabic (العربية).

Lightweight, simple and effective

No huge widget with hundreds of options. This plugin is based on the well-known WordPress default widget 'Recent Posts' and extended to display thumbnails of the posts.

The thumbnails will be built from the featured image of a post or of the first image in the post content. If there is neither a featured image nor a content image then you can define a default thumbnail.

You can set the width and heigth of the thumbnails in the list. The thumbnails appear left-aligned to the post titles in left-to-right languages. In right-to-left languages they appear right-aligned.

What users said

Options you can set

  1. Title of the widget
  2. Number of listed posts
  3. Random order of posts
  4. Hide current post in list
  5. Keep sticky posts on top of the list
  6. Hide post title
  7. Maximum length of post title
  8. Show post categories
  9. Show post date
  10. Show post excerpt
  11. Show number of comments
  12. Excerpt length
  13. Signs after excerpt
  14. Show posts of selected categories (or of all categories)
  15. Show post thumbnail (featured image)
  16. Registered thumbnail dimensions
  17. Thumbnail width in px
  18. Thumbnail height in px
  19. Keep aspect ratio of thumbnails
  20. Try to take the first post image as thumbnail
  21. Only use the first post image as thumbnail
  22. Use default thumbnail if no thumbnail is available
  23. Default thumbnail URL

Useful hints for developers: Hooks and CSS

See Other Notes for supported hooks and available CSS selectors.

Languages

The user interface is available in

  • English
  • German (Deutsch)
  • Persian (Farsi), kindly drawn up by Sajjad Panahi
  • Arabic (العربية), kindly drawn up by Shadi AlZard

Further translations are welcome. If you want to give in your translation please leave a notice in the plugin's support forum.

Requires: 2.9 or higher
Compatible up to: 4.4.2
Last Updated: 3 days ago
Active Installs: 30,000+

Ratings

4.8 out of 5 stars

Support

14 of 17 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,2,2
100,1,1
0,1,0
0,1,0 0,1,0
100,1,1 100,2,2